<?php
declare(strict_types=1);

namespace App\Entity\QRCode;

use App\Service\CurrencyListerInterface;
use Symfony\Component\Validator\Constraints as Assert;

/**
 * Money type for QR code
 */
class QRCodeMoney
{
    #[Assert\Positive(
        message: 'messages.not_valid_amount',
    )]
    #[Assert\NotBlank(message: 'messages.fill_value')]
    private ?string $amount;

    // TODO: getCurrencies validation
    #[Assert\NotBlank(message: 'messages.fill_value')]
    private ?string $currency;

    /**
     * @param string|null $amount
     * @param string|null $currency
     */
    public function __construct(?string $amount = null, ?string $currency = null)
    {
        $this->amount = $amount;
        $this->currency = $currency;
    }


    public function getAmount(): ?string
    {
        return $this->amount;
    }

    public function setAmount(?string $amount): void
    {
        $this->amount = $amount;
    }

    public function getCurrency(): ?string
    {
        return $this->currency;
    }

    public function setCurrency(?string $currency): void
    {
        $this->currency = $currency;
    }


}
